Subject: [Fot] Somewhat off topic

From: Home Consolidated <[email-masked]>
Date: Mon, 11 Apr 2016 23:03:19 -0500

but I caught an episode of Idris Elba King of Speed.  It is a BBC series centered around auto racing and cars in general. I have only seem the first one but it looks interesting.  Episode one was NASCAR (of Course) and lead sleds but the next preview talked about works prepared Mini's and illegal street racing.  It seem to give the topics a nice historical perspective. 

I am sure some in this crowd would enjoy it. 

Back to lurk mode 

Ken Gano. 

Sent from my iPad

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive